cURL
curl -X GET "https://app.cotool.ai/iocs" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/iocs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/iocs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/iocs")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/iocs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"rows": [
{
"id": "<string>",
"value": "<string>",
"type": "<string>",
"intelItemId": "<string>",
"intelTitle": "<string>",
"sourceLabel": "<string>",
"lastCheckedAt": "<string>",
"status": "found"
}
],
"total": 123,
"page": 123,
"perPage": 123,
"hasNext": true,
"statusCounts": {
"found": 123,
"clean": 123,
"unchecked": 123,
"unknown": 123
},
"availableTypes": [
"<string>"
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}API Reference
List flattened threat-intel indicators (IOCs)
Flattens indicators from all in-scope intel items, resolves per-indicator hunt status, and supports server-side search, status, and type filtering with pagination.
GET
/
iocs
cURL
curl -X GET "https://app.cotool.ai/iocs" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/iocs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/iocs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/iocs")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/iocs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"rows": [
{
"id": "<string>",
"value": "<string>",
"type": "<string>",
"intelItemId": "<string>",
"intelTitle": "<string>",
"sourceLabel": "<string>",
"lastCheckedAt": "<string>",
"status": "found"
}
],
"total": 123,
"page": 123,
"perPage": 123,
"hasNext": true,
"statusCounts": {
"found": 123,
"clean": 123,
"unchecked": 123,
"unknown": 123
},
"availableTypes": [
"<string>"
]
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 200Available options:
found, clean, unchecked, unknown Was this page helpful?
⌘I